# Generated by Django 2.0.6 on 2018-06-19 18:56

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Bizuth',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('adhesion_id', models.IntegerField(unique=True, verbose_name='ID du membre sur Adhésion')),
                ('_nom', models.CharField(blank=True, max_length=255, null=True, verbose_name='Nom du bizuth')),
                ('_prenom', models.CharField(blank=True, max_length=255, null=True, verbose_name='Prénom du bizuth')),
                ('_email', models.EmailField(blank=True, max_length=255, null=True, verbose_name='Email du bizuth')),
                ('_genre', models.CharField(choices=[('H', 'Homme'), ('F', 'Femme'), ('I', 'Indéfini/Inconnu')], default='I', max_length=1)),
                ('adhesion_data', models.CharField(blank=True, max_length=4095, verbose_name="Données d'Adhésion mises en cache")),
                ('date_inscription', models.DateTimeField(default=django.utils.timezone.now, verbose_name="Date d'inscription")),
                ('parents_ok', models.BooleanField(verbose_name='Autorisation parentale')),
                ('caution_ok', models.BooleanField(verbose_name='Chèque de caution')),
                ('a_paye', models.BooleanField(verbose_name='A payé')),
                ('actif', models.BooleanField(default=False, help_text="N'a pas annulé son inscription", verbose_name='Inscription active')),
                ('details', models.TextField(blank=True, verbose_name='Détails')),
                ('sante', models.TextField(blank=True, verbose_name='Précisions médicales')),
                ('place_attente', models.IntegerField(default=0, null=True, verbose_name="Place dans la file d'attente (0 si pas dedans)")),
            ],
        ),
        migrations.CreateModel(
            name='Bungalow',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=255, verbose_name='Nom du bungalow')),
                ('genre', models.CharField(choices=[('H', 'Homme'), ('F', 'Femme'), ('I', 'Indéfini/Inconnu')], max_length=1)),
                ('places', models.IntegerField(verbose_name='Nombre de places')),
            ],
        ),
        migrations.CreateModel(
            name='Bus',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=255, verbose_name='Nom du Bus')),
                ('places', models.IntegerField(verbose_name='Nombre total de places')),
            ],
        ),
        migrations.AddField(
            model_name='bungalow',
            name='bus',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='api.Bus'),
        ),
        migrations.AddField(
            model_name='bizuth',
            name='bungalow',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='bizuths', to='api.Bungalow'),
        ),
        migrations.AddField(
            model_name='bizuth',
            name='bus',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='bizuths', to='api.Bus'),
        ),
    ]
